<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$template_directory         = get_template_directory_uri();
$admin_url                  = esc_url( admin_url() );
$colors                     = array(
	'color_1' => '#d2a74d',
	'color_2' => '#0f1f25',
	'color_3' => '#898d8e',
	'color_4' => '#edf1f2',
	'color_5' => '#141e24'
);
$general_settings           = fw_get_db_settings_option();
$the_journal_color_settings = isset( $general_settings['color_settings'] ) ? $general_settings['color_settings'] : $colors;
$typography_settings        = isset( $general_settings['typography_settings'] ) ? $general_settings['typography_settings'] : array();
$map_shortcode              = fw_ext( 'shortcodes' )->get_shortcode( 'map' );

$options = array(
	'unique_id'      => array(
		'type' => 'unique'
	),
	'location_group' => array(
		'type'    => 'group',
		'options' => array(
			'data_provider' => array(
				'type'         => 'multi-picker',
				'label'        => false,
				'desc'         => false,
				'picker'       => array(
					'population_method' => array(
						'label'   => esc_html__( 'Population Method', 'the-journal' ),
						'desc'    => esc_html__( 'Select map population method (Ex: events, custom)', 'the-journal' ),
						'type'    => 'select',
						'choices' => $map_shortcode->_get_picker_dropdown_choices(),
					)
				),
				'choices'      => $map_shortcode->_get_picker_choices(),
				'show_borders' => false,
			),
		)
	),
	'map_type'       => array(
		'label'   => esc_html__( 'Map Type', 'the-journal' ),
		'desc'    => esc_html__( 'Select map type', 'the-journal' ),
		'type'    => 'image-picker',
		'value'   => '',
		'choices' => array(
			'roadmap'   => array(
				'small' => array(
					'height' => 75,
					'src'    => $template_directory . '/images/image-picker/map-roadmap.jpg',
				),
				'large' => array(
					'height' => 208,
					'src'    => $template_directory . '/images/image-picker/map-roadmap.jpg'
				),
			),
			'terrain'   => array(
				'small' => array(
					'height' => 75,
					'src'    => $template_directory . '/images/image-picker/map-terrain.jpg',
				),
				'large' => array(
					'height' => 208,
					'src'    => $template_directory . '/images/image-picker/map-terrain.jpg'
				),
			),
			'satellite' => array(
				'small' => array(
					'height' => 75,
					'src'    => $template_directory . '/images/image-picker/map-satellite.jpg',
				),
				'large' => array(
					'height' => 208,
					'src'    => $template_directory . '/images/image-picker/map-satellite.jpg'
				),
			),
			'hybrid'    => array(
				'small' => array(
					'height' => 75,
					'src'    => $template_directory . '/images/image-picker/map-hybrid.jpg',
				),
				'large' => array(
					'height' => 208,
					'src'    => $template_directory . '/images/image-picker/map-hybrid.jpg'
				),
			),
		),
	),
	'map_height'     => array(
		'label' => esc_html__( 'Map Height', 'the-journal' ),
		'desc'  => esc_html__( 'Enter the map height in pixels (Ex: 300)', 'the-journal' ),
		'type'  => 'short-text',
		'value' => '400',
	),
	'gmap_key'       => array(
		'label' => __( 'API Key', 'the-journal' ),
		'type'  => 'gmap-key',
		/* translators: %s: google search console */
		'desc'  => sprintf( __( 'Create an application in %1$sGoogle Console%2$s and add the API Key here.', 'the-journal' ), '<a target="_blank" href="https://console.developers.google.com/flows/enableapi?apiid=places_backend,maps_backend,geocoding_backend,directions_backend,distance_matrix_backend,elevation_backend&keyType=CLIENT_SIDE&reusekey=true">', '</a>' )
	),
);