<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$colors                     = array(
	'color_1' => '#d2a74d',
	'color_2' => '#0f1f25',
	'color_3' => '#898d8e',
	'color_4' => '#edf1f2',
	'color_5' => '#141e24'
);
$admin_url                  = esc_url( admin_url() );
$the_journal_color_settings = fw_get_db_settings_option( 'color_settings', $colors );

$options = array(
	'is_fullwidth' => array(
		'label' => esc_html__( 'Full Width Content', 'the-journal' ),
		'type'  => 'switch',
		'desc'  => 'Make the content inside this section full width?',
	),

	'background_options' => array(
		'type'         => 'multi-picker',
		'label'        => false,
		'desc'         => false,
		'picker'       => array(
			'background' => array(
				'label'   => esc_html__( 'Background', 'the-journal' ),
				'desc'    => esc_html__( 'Select the background for your section', 'the-journal' ),
				'attr'    => array( 'class' => 'fw-checkbox-float-left' ),
				'type'    => 'radio',
				'choices' => array(
					'none'  => esc_html__( 'None', 'the-journal' ),
					'image' => esc_html__( 'Image', 'the-journal' ),
					'video' => esc_html__( 'Video', 'the-journal' ),
					'color' => esc_html__( 'Color', 'the-journal' ),
				),
				'value'   => 'none'
			),
		),
		'choices'      => array(
			'none'  => array(),
			'image' => array(
				'background_image' => array(
					'label'   => '',
					'type'    => 'background-image',
					'choices' => array(//	in future may will set predefined images
					)
				),
			),
			'video' => array(
				'video_type' => array(
					'type'         => 'multi-picker',
					'label'        => false,
					'desc'         => false,
					'picker'       => array(
						'selected' => array(
							'label'   => esc_html__( 'Video Type', 'the-journal' ),
							'desc'    => esc_html__( 'Select the video type', 'the-journal' ),
							'attr'    => array( 'class' => 'fw-checkbox-float-left' ),
							'type'    => 'radio',
							'choices' => array(
								'youtube'  => esc_html__( 'Youtube', 'the-journal' ),
								'uploaded' => esc_html__( 'Video', 'the-journal' ),
							),
							'value'   => 'youtube'
						),
					),
					'choices'      => array(
						'youtube'  => array(
							'video' => array(
								'label' => '',
								'desc'  => esc_html__( 'Insert a YouTube video URL', 'the-journal' ),
								'type'  => 'text',
							),
						),
						'uploaded' => array(
							'video' => array(
								'label'       => '',
								'desc'        => esc_html__( 'Upload a video', 'the-journal' ),
								'images_only' => false,
								'type'        => 'upload',
							),
						),
					),
					'show_borders' => false,
				),
			),
			'color' => array(
				'background_color' => array(
					'label'   => '',
					'help'    => esc_html__( 'The default color palette can be changed from the', 'the-journal' ) . ' <a target="_blank" href="' . $admin_url . 'themes.php?page=fw-settings&_focus_tab=fw-options-tab-colors_tab">' . esc_html__( 'Colors section', 'the-journal' ) . '</a> ' . esc_html__( 'found in the Theme Settings page', 'the-journal' ),
					'desc'    => esc_html__( 'Select the background color', 'the-journal' ),
					'value'   => '',
					'choices' => $the_journal_color_settings,
					'type'    => 'color-palette'
				),
			),
		),
		'show_borders' => false,
	)
);