<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$template_directory         = get_template_directory_uri();
$admin_url                  = esc_url( admin_url() );
$colors                     = array(
	'color_1' => '#d2a74d',
	'color_2' => '#0f1f25',
	'color_3' => '#898d8e',
	'color_4' => '#edf1f2',
	'color_5' => '#141e24'
);
$general_settings           = fw_get_db_settings_option();
$the_journal_color_settings = isset( $general_settings['color_settings'] ) ? $general_settings['color_settings'] : $colors;
$typography_settings        = isset( $general_settings['typography_settings'] ) ? $general_settings['typography_settings'] : array();

$options = array(
	'unique_id'      => array(
		'type' => 'unique'
	),
	'title_group'    => array(
		'type'    => 'group',
		'options' => array(
			'title'   => array(
				'type'  => 'text',
				'label' => esc_html__( 'Title', 'the-journal' ),
				'desc'  => esc_html__( 'Enter the heading title', 'the-journal' ),
			),
			'heading' => array(
				'type'    => 'multi-picker',
				'label'   => false,
				'desc'    => false,
				'picker'  => array(
					'selected' => array(
						'type'    => 'short-select',
						'label'   => 'Size',
						'desc'    => 'Choose the heading size, H1 being the largest',
						'value'   => 'h2',
						'choices' => array(
							'h1' => 'H1',
							'h2' => 'H2',
							'h3' => 'H3',
							'h4' => 'H4',
							'h5' => 'H5',
							'h6' => 'H6',
						)
					),
				),
				'choices' => array(
					'h1' => array(),
					'h2' => array(),
					'h3' => array(),
					'h4' => array(),
					'h5' => array(),
					'h6' => array(),
				),
			),
		)
	),
	'subtitle_group' => array(
		'type'    => 'group',
		'options' => array(
			'subtitle' => array(
				'type'  => 'text',
				'label' => esc_html__( 'Subtitle', 'the-journal' ),
				'desc'  => esc_html__( 'Enter the heading subtitle', 'the-journal' ),
				'attr'  => array( 'class' => 'subtitle-advanced' ),
			),
		)
	),
	'centered'       => array(
		'label'   => esc_html__( 'Alignment', 'the-journal' ),
		'desc'    => esc_html__( 'Select the title and subtitle alignment', 'the-journal' ),
		'type'    => 'image-picker',
		'value'   => 'fw-heading-left',
		'choices' => array(
			'fw-heading-left'   => array(
				'small' => array(
					'height' => 50,
					'src'    => $template_directory . '/images/image-picker/left-position.jpg',
					'title'  => esc_html__( 'Left', 'the-journal' )
				),
			),
			'fw-heading-center' => array(
				'small' => array(
					'height' => 50,
					'src'    => $template_directory . '/images/image-picker/center-position.jpg',
					'title'  => esc_html__( 'Center', 'the-journal' )
				),
			),
			'fw-heading-right'  => array(
				'small' => array(
					'height' => 50,
					'src'    => $template_directory . '/images/image-picker/right-position.jpg',
					'title'  => esc_html__( 'Right', 'the-journal' )
				),
			),
		),
	)
);