<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$template_directory         = get_template_directory_uri();
$colors                     = array(
	'color_1' => '#d2a74d',
	'color_2' => '#0f1f25',
	'color_3' => '#898d8e',
	'color_4' => '#edf1f2',
	'color_5' => '#141e24'
);
$admin_url                  = esc_url( admin_url() );
$general_settings           = fw_get_db_settings_option();
$the_journal_color_settings = isset( $general_settings['color_settings'] ) ? $general_settings['color_settings'] : $colors;
$typography_settings        = isset( $general_settings['typography_settings'] ) ? $general_settings['typography_settings'] : array();

$options = array(

	'tabs_group' => array(
		'type'    => 'group',
		'options' => array(
			'tabs' => array(
				'attr'          => array( 'class' => 'tabs_advanced_styling' ),
				'type'          => 'addable-popup',
				'label'         => esc_html__( 'Tabs', 'the-journal' ),
				'size'          => 'medium',
				'popup-title'   => esc_html__( 'Add/Edit Tab', 'the-journal' ),
				'desc'          => esc_html__( 'Add tabs', 'the-journal' ),
				'template'      => '{{=tab_title}}',
				'popup-options' => array(
					'tab_title' => array(
						'type'    => 'group',
						'options' => array(
							'tab_title' => array(
								'type'  => 'text',
								'label' => esc_html__( 'Tab Title', 'the-journal' ),
								'desc'  => esc_html__( 'Enter tab title', 'the-journal' )
							)
						)
					),
					'content'   => array(
						'type'    => 'group',
						'options' => array(
							'tab_content_title' => array(
								'type'  => 'text',
								'label' => esc_html__( 'Content Title', 'the-journal' ),
								'desc'  => esc_html__( 'Enter content title', 'the-journal' )
							),
							'tab_content'       => array(
								'type'    => 'wp-editor',
								'tinymce' => true,
								'reinit'  => true,
								'wpautop' => false,
								'label'   => esc_html__( 'Text Content', 'the-journal' ),
								'desc'    => esc_html__( 'Enter tab content', 'the-journal' )
							)
						)
					)

				)
			),
		)
	)
);