<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$admin_url                  = esc_url( admin_url() );
$template_directory         = get_template_directory_uri();
$colors                     = array(
	'color_1' => '#d2a74d',
	'color_2' => '#0f1f25',
	'color_3' => '#898d8e',
	'color_4' => '#edf1f2',
	'color_5' => '#141e24'
);
$general_settings           = fw_get_db_settings_option();
$the_journal_color_settings = isset( $general_settings['color_settings'] ) ? $general_settings['color_settings'] : $colors;
$typography_settings        = isset( $general_settings['typography_settings'] ) ? $general_settings['typography_settings'] : array();

$options = array(
	'image_group'       => array(
		'type'    => 'group',
		'options' => array(
			'image' => array(
				'label' => esc_html__( 'Image', 'the-journal' ),
				'desc'  => esc_html__( 'Upload an image', 'the-journal' ),
				'type'  => 'upload'
			)
		)
	),
	'name_group'        => array(
		'type'    => 'group',
		'options' => array(
			'name' => array(
				'label' => esc_html__( 'Name', 'the-journal' ),
				'desc'  => esc_html__( 'Enter the team member name', 'the-journal' ),
				'type'  => 'text',
				'value' => ''
			)
		)
	),
	'job_group'         => array(
		'type'    => 'group',
		'options' => array(
			'job' => array(
				'attr'  => array( 'class' => 'job-advanced' ),
				'label' => esc_html__( 'Job Title', 'the-journal' ),
				'desc'  => esc_html__( 'Enter the job title', 'the-journal' ),
				'type'  => 'text',
				'value' => ''
			),
		)
	),
	'description_group' => array(
		'type'    => 'group',
		'options' => array(
			'desc' => array(
				'attr'    => array( 'class' => 'description-advanced' ),
				'label'   => esc_html__( 'Description', 'the-journal' ),
				'desc'    => esc_html__( 'Enter team member description', 'the-journal' ),
				'value'   => '',
				'type'    => 'wp-editor',
				'tinymce' => true,
				'reinit'  => true,
				'wpautop' => false,
			),
		)
	)
);