<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$admin_url                  = esc_url( admin_url() );
$colors                     = array(
	'color_1' => '#d2a74d',
	'color_2' => '#0f1f25',
	'color_3' => '#898d8e',
	'color_4' => '#edf1f2',
	'color_5' => '#141e24'
);
$general_settings           = fw_get_db_settings_option();
$the_journal_color_settings = isset( $general_settings['color_settings'] ) ? $general_settings['color_settings'] : $colors;
$typography_settings        = isset( $general_settings['typography_settings'] ) ? $general_settings['typography_settings'] : array();
$template_directory         = get_template_directory_uri();
$options                    = array(

	'title-group'        => array(
		'type'    => 'group',
		'options' => array(
			'title' => array(
				'label' => esc_html__( 'Title', 'the-journal' ),
				'desc'  => esc_html__( 'Please enter the title', 'the-journal' ),
				'type'  => 'text',
				'value' => '',
			)
		)
	),
	'testimonials-group' => array(
		'type'    => 'group',
		'options' => array(
			'testimonials' => array(
				'attr'          => array( 'class' => 'advanced-testimonials' ),
				'label'         => esc_html__( 'Testimonials', 'the-journal' ),
				'popup-title'   => esc_html__( 'Add/Edit Testimonial', 'the-journal' ),
				'desc'          => esc_html__( 'Here you can add, remove and edit your Testimonials.', 'the-journal' ),
				'type'          => 'addable-popup',
				'template'      => '{{=author_name}}',
				'popup-options' => array(
					'content'       => array(
						'label'   => esc_html__( 'Testimonial', 'the-journal' ),
						'desc'    => esc_html__( 'Enter the testimonial here', 'the-journal' ),
						'type'    => 'wp-editor',
						'tinymce' => true,
						'reinit'  => true,
						'wpautop' => false,
					),
					'author_avatar' => array(
						'label' => esc_html__( 'Image', 'the-journal' ),
						'desc'  => esc_html__( 'Add an image to this testimonial', 'the-journal' ),
						'type'  => 'upload',
					),
					'author_name'   => array(
						'label' => esc_html__( 'Name', 'the-journal' ),
						'desc'  => esc_html__( 'Enter the name of the person that gave the testimonial', 'the-journal' ),
						'type'  => 'text'
					),
					'author_job'    => array(
						'label' => esc_html__( 'Job Title', 'the-journal' ),
						'desc'  => esc_html__( 'Enter the job title', 'the-journal' ),
						'type'  => 'text'
					),
					'site_name'     => array(
						'label' => esc_html__( 'Company', 'the-journal' ),
						'desc'  => esc_html__( 'Name of the company', 'the-journal' ),
						'type'  => 'text'
					),
					'site_url'      => array(
						'label' => esc_html__( 'Website Link', 'the-journal' ),
						'desc'  => esc_html__( 'The company\'s website link', 'the-journal' ),
						'type'  => 'text'
					)
				)
			),
		)
	)
);