jQuery(document).ready(function ($) {
    "use strict";

    var page_header = jQuery('#fw-options-box-page-side');
    var page_template = jQuery('#page_template');
    var builder_button = jQuery('.page-builder-hide-button');
    var default_editor_button = jQuery('#wp-content-media-buttons .button-primary');

    // if on page ready template is without sidebar hide header image option
    if (page_template.val() == 'visual-builder-template.php') {
        page_header.hide();
    }
    else {
        page_header.show();
    }

    // on click visual page editor button set page template "visual page"
    jQuery('#wp-content-media-buttons').on('click', '.button-primary', function () {
        page_template.val('visual-builder-template.php');
        page_header.hide();
    });

    // on click default editor button set page template "default template"
    jQuery('.page-builder-hide-button').on('click', function () {
        page_template.val('default');
        page_header.show();
    });

    // on change page template hide header image option
    page_template.on('change', function () {
        if (page_template.val() == 'default') {
            page_header.show();
            builder_button.trigger('click');
        }
        else {
            page_header.hide();
            default_editor_button.trigger('click');
        }
    });
});


jQuery(document).on('click', '.notice-dismiss', function () {
    // Read the "data-notice" information to track which notice
    // is being dismissed and send it via AJAX
    var type = jQuery(this).closest('.tf-custom-notice').data('notice');
    // Make an AJAX call
    // Since WP 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
    jQuery.ajax(ajaxurl,
        {
            type: 'POST',
            data: {
                action: 'dismissed_demo_notice',
                type: type,
            }
        });
});

